import gc
import argparse
from adv_dad_mlp_wine_white import Experiment

if __name__ == '__main__':
    parser = argparse.ArgumentParser(description='Specify the random seed.')
    parser.add_argument(
        '-s', '--seed', type=int, dest='seed', default=100,
        help='random seed (default: 100)')
    args = parser.parse_args()
    E = Experiment(args.seed)
    E.run(
        T_1=300, T_2=30, T_3=3,
        eta_1=1e-2, eta_2=1e-2, eta_3=1e-3,
        noise_weight=100.,
        save=True)
